char ReadByteSPI(char addr)
{
	SPDR = addr;					//Load byte to Data register
	while(!(SPSR & (1<<SPIF))); 	// Wait for transmission complete 
	addr=SPDR;
	return addr;
}

void WriteByteSPI(unsigned char byte)
{
	SPDR = byte;					//Load byte to Data register
	while(!(SPSR & (1<<SPIF))); 	// Wait for transmission complete
	junk = SPDR; 
}

void SendSPIWord(){
	CLR(PORTB,4) ;			// Set CS to low
	WriteByteSPI(command1);
	WriteByteSPI(command2);
	WriteByteSPI(command3);
	WriteByteSPI(command4);
	SET(PORTB,4) ;			// Set CS to high
}

int ReadSPIWord(){
	CLR(PORTB,4) ;			// Set CS to low
	data1 = ReadByteSPI(command1);
	data2 = ReadByteSPI(command2);
	data3 = ReadByteSPI(command3);
	data4 = ReadByteSPI(command4);
	SET(PORTB,4) ;			// Set CS to high
	
	//printf("Data1 : %d\n\r",data1);
	//printf("Data2 : %d\n\r",data2);
	//printf("Data3 : %d\n\r",data3);
	//printf("Data4 : %d\n\r",data4);
	dataOut = ((data1 & 0x02)<< 14 ) | (data2 << 6) | ((data3 & 0xFC)>>2) ;
	printf("DataOut: %d\n\r",dataOut);
}
